Pricefx REST API Reference
Pricefx REST API
/Sellers
Master
General
Products
Product Extensions
Product Image
Customers
Customer Extensions
Seller Extensions
Condition Records
Competition Data
Imports
Data Change Requests
Lookup Tables / Company Parameters
User Admin
Authentication
Admin Tools
Logics
Logs
Custom Forms
Calculated Field Sets
Jobs & Tasks
Advanced Configuration Options
Data Manager
Actions
Action Types
Price Lists
Manual Price Lists
Live Price Grids
Calculation Grids
Visual Configuration
Quotes
Contracts (Agreements & Promotions)
Visual Configuration
Rebate Agreements
Rebate Calculations
Rebate Record Group
Sales Compensations
Claim Types
Claims
Optimization
Workflow
Workflow Delegation
Attachments
Product Image
Configuration
Internationalization
Metadata
MCP
Clicmanager
Comments
Notifications
Heartbeat
Key-Value Store
Entities
otherSchemas
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/add/SL
- URL:https://companynode.pricefx.com/pricefx/companypartition/add/SL
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/add/SL \
-H 'Content-Type: application/json' \
-d '{
"data": {
"sellerId": "Seller01",
"name": "Acme ltd.",
"reportsTo": "admin",
"userGroupEdit": "Administrators"
},
"operation": "add"
}'Response
application/json
{ "response": { "node": "e2e-templates-node", "data": [ … ], "status": 0 } }
Request
Retrieves all sellers based on filter settings.
You can choose fields to be returned in the response by employing the resultFields or valueFields filter:
resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the List Customers' listCustomersResponseExample_resultFields response example.
valueFields: returns just an array of values. Use this option if a better performance is required. See the List Customers' listCustomersResponseExample_valueFields response example.
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/sellermanager.fetchformulafilteredsellers
- URL:https://companynode.pricefx.com/pricefx/companypartition/sellermanager.fetchformulafilteredsellers
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/sellermanager.fetchformulafilteredsellers \
-H 'Content-Type: application/json' \
-d '{
"endRow": 300,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact",
"data": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "name",
"operator": "equals",
"value": "Acme ltd."
}
]
}
}'Response
application/json
{ "response": { "node": "e2e-templates-node", "startRow": 0, "data": [ … ], "endRow": 1, "totalRows": 1, "status": 0 } }
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/SL
- URL:https://companynode.pricefx.com/pricefx/companypartition/update/SL
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/SL \
-H 'Content-Type: application/json' \
-d '{
"data": {
"sellerId": "Seller0023",
"typedId": "10.SL"
},
"oldValues": {
"version": 4
},
"operationType": "update",
"textMatchStyle": "exact"
}'Response
application/json
{ "response": { "node": "e2e-templates-node", "data": [ … ], "status": 0 } }
CommentsCopy for LLM Copy page as Markdown for LLMs View as Markdown Open this page as Markdown Open in ChatGPT Get insights from ChatGPT Open in Claude Get insights from Claude Connect to Cursor Install MCP server on Cursor Connect to VS Code Install MCP server on VS Code